Bug 1241150 - quota: marker accounting can get miscalculated after upgrade to 3.7
Summary: quota: marker accounting can get miscalculated after upgrade to 3.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: RHGS 3.1.0
Assignee: Vijaikumar Mallikarjuna
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1202842 1241153 1241831
TreeView+ depends on / blocked
 
Reported: 2015-07-08 15:03 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 12:35 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.7.1-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1241153 (view as bug list)
Environment:
Last Closed: 2015-07-29 05:10:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Vijaikumar Mallikarjuna 2015-07-08 15:03:51 UTC
When glusterfs is upgraded from 3.6 to 3.7, quota usage can go wrong if inode-quota xattrs are missing

Comment 2 Vijaikumar Mallikarjuna 2015-07-08 15:05:55 UTC
regression test 'tests/bugs/quota/afr-quota-xattr-mdata-heal.t' is failing because of this issue

Comment 7 Anil Shah 2015-07-16 08:39:03 UTC
Did upgrade from 3.0.4 (glusterfs-3.6.0.53-1.el6.x86_64) to
glusterfs-3.7.1-10.el6rhs.x86_64

Created 10GB of data
Quota list before upgrade

[root@node1 yum.repos.d]# gluster v quota vol0 list
                  Path                   Hard-limit Soft-limit   Used  Available  Soft-limit exceeded? Hard-limit exceeded?
---------------------------------------------------------------------------------------------------------------------------
/                                         30.0GB       80%      10.0GB  20.0GB              No                   No


Create 5GB more data after upgrade

Quota list after upgrade to glusterfs-3.7.1-10.el6rhs.x86_64

[root@node2 yum.repos.d]# gluster v quota vol0 list
                  Path                   Hard-limit Soft-limit   Used  Available  Soft-limit exceeded? Hard-limit exceeded?
---------------------------------------------------------------------------------------------------------------------------
/                                         30.0GB       80%      15.0GB  15.0GB              No                   No


Bug verified on build  glusterfs-cli-3.7.1-10.el6rhs.x86_64

Comment 8 errata-xmlrpc 2015-07-29 05:10:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.